## org.gnu.gdk
Class EventProximity

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gdk.Event
                  org.gnu.gdk.EventProximity

public class EventProximity
extends Event

Constructor Summary
`EventProximity(Event evt)` Promotion constructor.

Methods inherited from class org.gnu.gdk.Event
`eventsPending, get, getGraphicsExpose, getTime, peek, put`

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventProximity

    public EventProximity(Event evt)

  Promotion constructor. Construct the specific event object by promoting (sharing the `Handle` object of) the base `Event`.